<?php
namespace MK\Test\Tests\Unit\Domain\Model;

/**
 * Test case.
 */
class ChildTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
    /**
     * @var \MK\Test\Domain\Model\Child
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \MK\Test\Domain\Model\Child();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getTitleReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getTitle()
        );
    }

    /**
     * @test
     */
    public function setTitleForStringSetsTitle()
    {
        $this->subject->setTitle('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'title',
            $this->subject
        );
    }
}
